package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2021/7/12
 */
public enum MedEquipSourceEnum {

//    UNKNOWN("", 0),
    DOCTOR_MP_NFYYBYFY("南方医院白云分院医生公众号", 1),
    HOSPITAL_MG("医院后台", 2),
    DRUG_ENTERPRISE_MG("药企后台", 3)
    ;

    private final String displayName;

    private final int value;

    MedEquipSourceEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MedEquipSourceEnum valueOf(int value) {
        for (MedEquipSourceEnum e : MedEquipSourceEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }
}